# CreateAgreement

PATH: /aurora.core.apiengine.agreementsv1.AgreementService/CreateAgreement

  CreateAgreement can be used tc create an agreement

Endpoint: POST /aurora.core.apiengine.agreementsv1.AgreementService/CreateAgreement
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `balance_target` (string)
    Balance Target can be added by each party for their own purposes, not visible to the counterparty

  - `balance_target_variance` (string)
    Balance Target Variance can be added by each party for their own purposes, not visible to the counterparty

  - `billing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `booking_account` (string)

  - `collateral_currency` (string)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `collateral_method` (string, required)
    Enum: "COLLATERAL_METHOD_UNSPECIFIED", "PLEDGE", "TITLE_TRANSFER"

  - `collateral_rate` (string, required)
    The Margin or Collateral rate to be used by both parties when calculating the contract price and value. (ie. 102%)

  - `collateral_type` (string, required)
    Enum: "COLLATERAL_TYPE_UNSPECIFIED", "CASH", "NON_CASH_UST", "NON_CASH_EQ", "NON_CASH_JGB"

  - `counterparty_id` (string, required)
    This will be the Provable assigned company_id. See the Company endpoint for more details.

  - `delivery_type` (string, required)
    Enum: "DELIVERY_TYPE_UNSPECIFIED", "DVP", "FOP"

  - `dividend_required` (string, required)

  - `pricing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `profit_center` (string)

  - `rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `rwa_bucket` (string)

  - `settlement_system` (string)
    Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED", "PROVABLE_MARKET", "LOANET", "LOANET_SFT", "SPIRE", "PROP"

  - `settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `short_name` (string, required)
    Agreements require a short name that can be used for both display in the order book and when creating new orders.
Short names must be unique amongst your agreements and must be 25 characters or less. Names are case sensitive.
Spaces are supported but not recommended.

  - `side` (string, required)
    Enum: "BORROW", "LOAN"

  - `term_end_date` (string)

  - `term_start_date` (string)

  - `term_type` (string, required)
    Enum: "TERM_TYPE_UNSPECIFIED", "NONE", "FIXED", "EVERGREEN", "ONE_DAY", "BULLET"

  - `trade_type` (string)

## Response 200 fields (application/json):

  - `agreement` (object, required)
    Fields: id, short_name, side, counterparty_id, settlement_type, rounding_rule, collateral_rate, status, proposer_user, proposed_by_side, responder_user, version, collateral_type, pricing_currency, billing_currency, collateral_currency, collateral_method, dividend_required, term_type, term_start_date, term_end_date, balance_target, balance_target_variance, rwa_bucket, settlement_system, created_at, approved_at, booking_account, counterparty_booking_account, trade_type, profit_center, delivery_type

  - `agreement.approved_at` (string)
    Datetime that agreement was approved by the second party - time in RFC3339 with millisecond precision

  - `agreement.balance_target` (string)

  - `agreement.balance_target_variance` (string)

  - `agreement.billing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `agreement.booking_account` (string)

  - `agreement.collateral_currency` (string)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `agreement.collateral_method` (string, required)
    Enum: "COLLATERAL_METHOD_UNSPECIFIED", "PLEDGE", "TITLE_TRANSFER"

  - `agreement.collateral_rate` (string, required)
    Collateral Rate

  - `agreement.collateral_type` (string, required)
    Enum: "COLLATERAL_TYPE_UNSPECIFIED", "CASH", "NON_CASH_UST", "NON_CASH_EQ", "NON_CASH_JGB"

  - `agreement.counterparty_booking_account` (string)

  - `agreement.counterparty_id` (string, required)
    The Provable assigned company_id of the counterparty in the agreement

  - `agreement.created_at` (string, required)
    Datetime that agreement was initially created - time in RFC3339 with millisecond precision

  - `agreement.delivery_type` (string, required)
    Enum: "DELIVERY_TYPE_UNSPECIFIED", "DVP", "FOP"

  - `agreement.dividend_required` (string, required)

  - `agreement.id` (string, required)
    A unique reference for the agreement assigned by Provable Markets

  - `agreement.pricing_currency` (string, required)
    Enum: "USD", "CAD", "GBP", "EUR", "JPY"

  - `agreement.profit_center` (string)

  - `agreement.proposed_by_side` (string, required)
    Enum: "BORROW", "LOAN"

  - `agreement.proposer_user` (string, required)
    The user who initially created the agreement

  - `agreement.responder_user` (string)
    The user who approved or rejected the agreement

  - `agreement.rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `agreement.rwa_bucket` (string)

  - `agreement.settlement_system` (string)
    Enum: "SETTLEMENT_SYSTEM_UNSPECIFIED", "PROVABLE_MARKET", "LOANET", "LOANET_SFT", "SPIRE", "PROP"

  - `agreement.settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `agreement.short_name` (string, required)
    The short name your company has assigned to this agreement

  - `agreement.side` (string, required)
    Enum: "BORROW", "LOAN"

  - `agreement.status` (string, required)
    possible agreement status
    Enum: "AGREEMENT_STATUS_UNSPECIFIED", "DRAFT", "ACTIVE", "REJECTED", "CANCELED", "INACTIVE"

  - `agreement.term_end_date` (string)

  - `agreement.term_start_date` (string)

  - `agreement.term_type` (string, required)
    Enum: "TERM_TYPE_UNSPECIFIED", "NONE", "FIXED", "EVERGREEN", "ONE_DAY", "BULLET"

  - `agreement.trade_type` (string)

  - `agreement.version` (string, required)
    After modifications are accepted, the sequential count changes to the next value. Note: Short Name changes do not result in a new version. Just shared element updates do.


